# Copyright (c) 2010, Lawrence Livermore National Security, LLC. Produced at the
# Lawrence Livermore National Laboratory. LLNL-CODE-443211. All Rights reserved.
# See file COPYRIGHT for details.
#
# This file is part of the MFEM library. For more information and source code
# availability see http://mfem.org.
#
# MFEM is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License (as published by the Free
# Software Foundation) version 2.1 dated February 1999.

# Variables corresponding to defines in config.hpp (YES, NO, or value)
MFEM_VERSION         = 30400
MFEM_VERSION_STRING  = 3.4
MFEM_GIT_STRING      =
MFEM_USE_MPI         = YES
MFEM_USE_METIS       = YES
MFEM_USE_METIS_5     = YES
MFEM_DEBUG           = NO
MFEM_USE_EXCEPTIONS  = NO
MFEM_USE_GZSTREAM    = NO
MFEM_USE_LIBUNWIND   = NO
MFEM_USE_LAPACK      = NO
MFEM_THREAD_SAFE     = NO
MFEM_USE_OPENMP      = NO
MFEM_USE_MEMALLOC    = YES
MFEM_TIMER_TYPE      = 2
MFEM_USE_SUNDIALS    = NO
MFEM_USE_MESQUITE    = NO
MFEM_USE_SUITESPARSE = NO
MFEM_USE_SUPERLU     = YES
MFEM_USE_STRUMPACK   = NO
MFEM_USE_GECKO       = NO
MFEM_USE_GNUTLS      = NO
MFEM_USE_NETCDF      = YES
MFEM_USE_PETSC       = YES
MFEM_USE_MPFR        = NO
MFEM_USE_SIDRE       = NO
MFEM_USE_CONDUIT     = NO
MFEM_USE_PUMI        = NO

# Compiler, compile options, and link options
MFEM_CXX       = mpicxx
MFEM_CPPFLAGS  =
MFEM_CXXFLAGS  = -O3 -fPIC
MFEM_TPLFLAGS  = -I/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.14.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.4.0/include -I/opt/ohpc/pub/libs/intel/metis/5.1.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.6.1/include -I/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.9.3/include
MFEM_INCFLAGS  = -I$(MFEM_INC_DIR) $(MFEM_TPLFLAGS)
MFEM_PICFLAG   = -fPIC
MFEM_FLAGS     = $(MFEM_CPPFLAGS) $(MFEM_CXXFLAGS) $(MFEM_INCFLAGS)
MFEM_EXT_LIBS  = -L/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.14.0/lib -lHYPRE -L/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.4.0/lib -lsuperlu_dist -L/opt/ohpc/pub/libs/intel/metis/5.1.0/lib -lmetis -L/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.6.1/lib -lnetcdf -L/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.9.3/lib -lpetsc -lrt
MFEM_LIBS      = -Wl,-rpath,$(MFEM_LIB_DIR) -L$(MFEM_LIB_DIR) -lmfem $(MFEM_EXT_LIBS)
MFEM_LIB_FILE  = $(MFEM_LIB_DIR)/libmfem.so
MFEM_STATIC    = YES
MFEM_SHARED    = YES
MFEM_BUILD_TAG = Linux ohpc1 x86_64
MFEM_PREFIX    = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.4
MFEM_INC_DIR   = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.4/include
MFEM_LIB_DIR   = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.4/lib

# Location of test.mk
MFEM_TEST_MK = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.4/share/mfem/test.mk

# Command used to launch MPI jobs
MFEM_MPIEXEC    = mpirun
MFEM_MPIEXEC_NP = -np
MFEM_MPI_NP     = 4

# Optional extra configuration
